<bugID>1293278<Summary>[Out Of Date Notification] Redirect to download Firefox from mozilla.org is done in the wrong localization</Summary><Description>[Description]:
This is a bit of an edge case since it involves installing two versions of Firefox, but end result is that you are being redirected to download the "fr" version from the "de" version.


[Affected OS]:
Windows- All

[Steps]:
1. Install a localized 44.* version(fr).

2. Outofdate notifications system add-on required configurations:
2.1 about:config set extensions.systemAddon.update.url to value 	"https://aus5.mozilla.org/update/3/SystemAddons/%VERSION%/%BUILD_ID%/%BUILD_TARGET%/%LOCALE%/release-sysaddon/%OS_VERSION%/%DISTRIBUTION%/%DISTRIBUTION_VERSION%/update.xml"
2.2 about:config set extensions.logging.enabled	to value "True"
2.3 about:config Add string app.update.url.override with value "www.softvision.ro" 
3. Set update preferences -&gt;  about:preferences#advanced and set Firefox updates to "Automatically install updates (recommended: improved security)"
4. Open Tools/Web console and click on the gear icon to get to settings, then enable the following two options: "Enable browser chrome and add-on debugging toolboxes" and "Enable remote debugging".
5. Force system addons check : Open Tool/WebDeveloper/Browser Console and run the snippet:   " Components.utils.import("resource://gre/modules/AddonManager.jsm"); AddonManagerPrivate.backgroundUpdateCheck(); "
6. Restart FF.
7. Click on the Download Firefox OutofDate Notification and once the page: https://www.mozilla.org/fr/firefox/new/ opens click on download. 
8. Install the "de" version over the "fr" version.
9. Open the de version with the same profile you used for the french version.
10. Run again step 5.
11. Restart FF.
12. Click on the download firefox from the OutOfDate notification.


[Actual Result]:
The page you are redirected on step 12 is the french version and not the "de" version as you would expect.
If you redo all the steps introducing let's say en-Us, the step 12 will show you the "de" version.

[Expected Result]:
The download page should redirect you to the current version localization, and not the previous one

[Note1]:
I'm somehow suspecting that something doesn't update correctly in the profile or something related to this.
[Note2]: Not sure on which component this bug should be assigned to, but since it is noticeable while using OutOfDate notification, assigning it General/Core for starters.</Description></bugID>